Skip site navigation (1) Skip section navigation (2)

Re: Darwin stuff is getting deprecated

From: AgentM <agentm(at)themactionfaction(dot)com>
To: PostgreSQL-development hackers <pgsql-hackers(at)postgresql(dot)org>
Subject: Re: Darwin stuff is getting deprecated
Date: 2006-09-28 21:17:16
Message-ID: 6DAC7386-5BDD-4E7A-9E14-64A610F6A13D@themactionfaction.com (view raw or flat)
Thread:
Lists: pgsql-hackers
The regular dlfcn family of functions are now properly implemented on  
Darwin (10.4+).

Re: Zeroconf- Avahi is API+ABI compatible with the Apple API, so its  
use would be preferable on Linux (for cross-platform considerations).
http://avahi.org/browser/trunk/avahi-compat-libdns_sd

[Warning: Avahi->GPL]

-M

On Sep 28, 2006, at 17:02 , Tom Lane wrote:

> With the latest Apple developers' tools, I get some warnings that
> weren't there before:
>
> dynloader.c: In function 'pg_dlsym':
> dynloader.c:44: warning: 'NSIsSymbolNameDefined' is deprecated  
> (declared at /usr/include/mach-o/dyld.h:150)
> dynloader.c:46: warning: 'NSLookupAndBindSymbol' is deprecated  
> (declared at /usr/include/mach-o/dyld.h:158)
> postmaster.c: In function 'PostmasterMain':
> postmaster.c:779: warning: 'DNSServiceRegistrationCreate' is  
> deprecated (declared at /usr/include/DNSServiceDiscovery/ 
> DNSServiceDiscovery.h:114)
>
> Anyone want to look into this and see what we're supposed to do  
> instead?
>
> The postmaster.c message is in the USE_BONJOUR code.  There was  
> already
> some discussion about how we were using an obsolete Bonjour API and we
> ought to rewrite to support using Bonjour on non-Darwin platforms.
> Perhaps Apple is now using a compatible API?


In response to

pgsql-hackers by date

Next:From: David FetterDate: 2006-09-28 21:19:10
Subject: Re: [HACKERS] Numeric overflow problem + patch
Previous:From: Martijn van OosterhoutDate: 2006-09-28 21:16:56
Subject: Re: [HACKERS] Numeric overflow problem + patch

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group